2019-09-21 10:34 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001874NetSurf[All Projects] Generalpublic2019-07-19 09:26
Reportersamuellb 
Assigned To 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.9 
Summary0001874: Better media descriptor parsing
DescriptionHi,

Your browser looks really promising, at least when it comes to CSS rendering. Many real sites render perfectly or close to perfectly. However, the way you parse media descriptors is not forwards-compatible with media queries, so I made a patch to fix this. It's my first patch so it might need some adjustments :)

Detailed description:
NetSurf currently just looks for substrings in the media attribute of <link rel="stylesheet"> tags, and this causes media queries with "all" or "screen" in them to always match. This patch makes the parsing compliant with HTML4 section 6.13 so extensions to the standard can be ignored correctly.
Additional InformationImported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=2457197 on Tue Dec 10 17:34:13 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001965

Vincent Sanders (administrator)

css media queries are now fully implemented
Vincent Sanders

~0001999

Vincent Sanders (administrator)

we believe this issue has been resolved in NetSurf 3.9
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-24 12:07 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-24 12:07 Vincent Sanders Status assigned => acknowledged
2013-12-24 12:07 Vincent Sanders Resolution no change required => open
2013-12-24 12:07 Vincent Sanders Description Updated View Revisions
2013-12-24 12:07 Vincent Sanders Additional Information Updated View Revisions
2019-06-13 11:35 Vincent Sanders Status acknowledged => resolved
2019-06-13 11:35 Vincent Sanders Resolution open => fixed
2019-06-13 11:35 Vincent Sanders Fixed in Version => 3.9
2019-06-13 11:35 Vincent Sanders Note Added: 0001965
2019-07-19 09:26 Vincent Sanders Status resolved => closed
2019-07-19 09:26 Vincent Sanders Note Added: 0001999
+Issue History